=== debian/changelog ===
foonathan-memory (0.7-3) unstable; urgency=medium

  * Mark lambda function symbols as optional
  * Add "Multi-Arch: foreign" to libfoonathan-memory-doc
  * Fix libatomic check (FTBFS on riscv64)

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 10 Dec 2020 10:20:47 +0100

foonathan-memory (0.7-2) unstable; urgency=medium

  * Detect correct container node size
  * Install arch-specific header to arch-specific location
  * Put version number into config_impl.hpp
  * Link against libatomic if needed

 -- Timo Röhling <timo@gaussglocke.de>  Mon, 07 Dec 2020 11:21:23 +0100

foonathan-memory (0.7-1) unstable; urgency=medium

  * Initial release (Closes: #975447)

 -- Timo Röhling <timo@gaussglocke.de>  Wed, 02 Dec 2020 19:58:37 +0100
