=== debian/tests/control ===
Tests: build-and-run-test-suite
Depends: libfoonathan-memory-dev, cmake, catch2, g++
Restrictions: allow-stderr
