=== debian/changelog ===
foonathan-memory (0.7.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields:
    Bug-Submit, Repository, Repository-Browse.

  [ Timo Röhling ]
  * Make package cross-compilable

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Oct 2021 14:37:06 +0200

foonathan-memory (0.7.1-3) unstable; urgency=medium

  * Simplify d/rules
  * Transfer package to new Debian Robotics Team

 -- Timo Röhling <roehling@debian.org>  Sat, 09 Oct 2021 13:25:07 +0200

foonathan-memory (0.7.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Tue, 21 Sep 2021 13:13:44 +0200

foonathan-memory (0.7.1-1) experimental; urgency=medium

  * New upstream version 0.7.1
  * Bump Standards-Version to 4.6.0 (no changes)
  * Drop .symbols file
  * Bump SOVERSION

 -- Timo Röhling <roehling@debian.org>  Sat, 11 Sep 2021 01:35:56 +0200

foonathan-memory (0.7-4) unstable; urgency=medium

  * Handle vanished symbols with GCC-11 (Closes: #984133)
  * Update maintainer email address

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Aug 2021 22:14:45 +0200
