=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: foonathan-memory
 Section: libs
 Priority: optional
-Maintainer: Timo Röhling <timo@gaussglocke.de>
+Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
+Uploaders: Timo Röhling <roehling@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               cmake, pkg-kde-tools,
-               doxygen <!nodoc>, catch2 <!nocheck>
-Standards-Version: 4.5.1
+               cmake,
+               doxygen <!nodoc>, doctest-dev <!nocheck>,
+               qemu-user-static <cross>,
+Standards-Version: 4.6.0
 Homepage: https://github.com/foonathan/memory
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/roehling/foonathan-memory.git
-Vcs-Browser: https://salsa.debian.org/roehling/foonathan-memory
+Vcs-Git: https://salsa.debian.org/robotics-team/foonathan-memory.git
+Vcs-Browser: https://salsa.debian.org/robotics-team/foonathan-memory
 
-Package: libfoonathan-memory0d
+Package: libfoonathan-memory0.7.1
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -25,7 +27,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libfoonathan-memory0d (= ${binary:Version}), ${misc:Depends}
+Depends: libfoonathan-memory0.7.1 (= ${binary:Version}), ${misc:Depends}
 Description: STL compatible C++ memory allocator library - development headers
  The default STL allocator model has various flaws, for example you cannot
  easily share a single allocator for multiple types. This library is one of
