=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/foonathan-memory-$1\.tar\.gz/,\
uversionmangle=s/-/./ \
  https://github.com/foonathan/memory/releases .*/v?(\d\S+)\.tar\.gz
