=== debian/changelog ===
foonathan-memory (0.7.2-3) unstable; urgency=medium

  * Fix d/watch
  * Use AUTOPKGTEST_TMP

 -- Timo Röhling <roehling@debian.org>  Fri, 23 Dec 2022 14:12:17 +0100

foonathan-memory (0.7.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sun, 07 Aug 2022 22:35:20 +0200

foonathan-memory (0.7.2-1) experimental; urgency=medium

  * New upstream version 0.7.2
  * Bump SONAME after ABI change
  * Bump Standards-Version to 4.6.1
  * Cross-compiling works without emulation now

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Aug 2022 21:59:13 +0200
