=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                doxygen <!nodoc>, doctest-dev <!nocheck>,
-               qemu-user-static <cross>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/foonathan/memory
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/foonathan-memory.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/foonathan-memory
 
-Package: libfoonathan-memory0.7.1
+Package: libfoonathan-memory0.7.2
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -27,7 +26,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libfoonathan-memory0.7.1 (= ${binary:Version}), ${misc:Depends}
+Depends: libfoonathan-memory0.7.2 (= ${binary:Version}), ${misc:Depends}
 Description: STL compatible C++ memory allocator library - development headers
  The default STL allocator model has various flaws, for example you cannot
  easily share a single allocator for multiple types. This library is one of
