=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
-# Copyright (C) 2015-2021 Müller <jonathanmueller.dev@gmail.com>
-# This file is subject to the license terms in the LICENSE file
-# found in the top-level directory of this distribution.
+# Copyright (C) 2015-2023 Jonathan Müller and foonathan/memory contributors
+# SPDX-License-Identifier: Zlib
 
 # builds test
