=== debian/changelog ===
foonathan-memory (0.7.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061942

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 09:06:07 +0000

foonathan-memory (0.7.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Tue, 27 Jun 2023 00:40:05 +0200

foonathan-memory (0.7.3-1) experimental; urgency=medium

  * New upstream version 0.7.3
  * Bump SONAME to 0.7.3
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Sun, 18 Jun 2023 21:22:26 +0200
