=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Priority: optional
 Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
 Uploaders: Timo Röhling <roehling@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                cmake,
                doxygen <!nodoc>, doctest-dev <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/foonathan/memory
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/foonathan-memory.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/foonathan-memory
 
-Package: libfoonathan-memory0.7.2
+Package: libfoonathan-memory0.7.3t64
+Provides: ${t64:Provides}
+Replaces: libfoonathan-memory0.7.3
+Breaks: libfoonathan-memory0.7.3 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -26,7 +29,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libfoonathan-memory0.7.2 (= ${binary:Version}), ${misc:Depends}
+Depends: libfoonathan-memory0.7.3t64 (= ${binary:Version}), ${misc:Depends}
 Description: STL compatible C++ memory allocator library - development headers
  The default STL allocator model has various flaws, for example you cannot
  easily share a single allocator for multiple types. This library is one of
