=== debian/tests/control ===
Tests: build-and-run-test-suite
Depends: libfoonathan-memory-dev, cmake, doctest-dev, g++
Restrictions: allow-stderr
