=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 uversionmangle=s/-/./ \
 https://api.github.com/repos/foonathan/memory/tags \
 tarball/(?:[^"]*?/)?v?@ANY_VERSION@
